package com.fdkankan.ucenter.service;

import com.fdkankan.ucenter.entity.CameraIncrementLog;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author 
 * @since 2023-02-01
 */
public interface ICameraIncrementLogService extends IService<CameraIncrementLog> {

    void saveLog(Long cameraId, Long incrementId, Long userId, Integer operationType);

    void saveLog(List<Long> cameraIds, Long incrementId, Long userId, Integer operationType);

    void saveLog(List<Long> cameraIds,String userName);
}
